Debian Bug report logs - #458350
/usr/sbin/mysqld: mysql connection crashes using select distinct or select ... group by

version graph

Package: mysql-server-5.0; Maintainer for mysql-server-5.0 is (unknown);

Reported by: Andreas Sassermann <andreas@sassermann.de>

Date: Sun, 30 Dec 2007 15:45:04 UTC

Severity: important

Found in version mysql-dfsg-5.0/5.0.32-7etch3

Fixed in version 5.0.51-1

Done: Norbert Tretkowski <norbert@tretkowski.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Andreas Sassermann <andreas@sassermann.de>:
New Bug report received and forwarded. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Sassermann <andreas@sassermann.de>
To: submit@bugs.debian.org
Subject: /usr/sbin/mysqld: mysql connection crashes using select distinct or select ... group by
Date: Sun, 30 Dec 2007 16:35:09 +0100
Package: mysql-server-5.0
Version: 5.0.32-7etch3
Severity: grave
Justification: renders package unusable
File: /usr/sbin/mysqld

*** Please type your report below this line ***

to repeat try:

NEWSYS:~# mysql -u root -p mysql
Enter password:
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 2
Server version: 5.0.32-Debian_7etch3 Debian etch distribution

Type 'help;' or '\h' for help. Type '\c' to clear the buffer.

mysql> select distinct db, user from db;
ERROR 2013 (HY000): Lost connection to MySQL server during query
mysql> select  db, user from db group by 1,2;
ERROR 2006 (HY000): MySQL server has gone away
No connection. Trying to reconnect...
Connection id:    1
Current database: mysql

ERROR 2013 (HY000): Lost connection to MySQL server during query
mysql> Bye
NEWSYS:~#

This is not dependent on using mysql systemdatabase. I tried it only
with myisam tables.



-- System Information:
Debian Release: 4.0
 APT prefers stable
 APT policy: (500, 'stable')
Architecture: arm (armv5tel)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages mysql-server-5.0 depends on:
ii  adduser                3.102             Add and remove users and groups
ii  debconf [debconf-2.0]  1.5.11etch1       Debian configuration 
management sy
ii  libc6                  2.3.6.ds1-13etch4 GNU C Library: Shared libraries
ii  libdbi-perl            1.53-1etch1       Perl5 database interface by 
Tim Bu
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libmysqlclient15off    5.0.32-7etch3     mysql database client library
ii  libncurses5            5.5-5             Shared libraries for 
terminal hand
ii  libreadline5           5.2-2             GNU readline and history 
libraries
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3
ii  libwrap0               7.6.dbs-13        Wietse Venema's TCP 
wrappers libra
ii  lsb-base               3.1-23.2etch1     Linux Standard Base 3.1 
init scrip
ii  mysql-client-5.0       5.0.32-7etch3     mysql database client binaries
ii  mysql-common           5.0.32-7etch3     mysql database common files 
(e.g.
ii  passwd                 1:4.0.18.1-7      change and administer 
password and
ii  perl                   5.8.8-7etch1      Larry Wall's Practical 
Extraction
ii  psmisc                 22.3-1            Utilities that use the proc 
filesy
ii  zlib1g                 1:1.2.3-13        compression library - runtime

Versions of packages mysql-server-5.0 recommends:
ii  mailx            1:8.1.2-0.20050715cvs-1 A simple mail user agent

-- debconf information:
 mysql-server-5.0/really_downgrade: false
 mysql-server-5.0/need_sarge_compat: false
 mysql-server-5.0/start_on_boot: true
 mysql-server/error_setting_password:
 mysql-server-5.0/nis_warning:
 mysql-server-5.0/postrm_remove_databases: false
 mysql-server-5.0/need_sarge_compat_done: true







Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 458350@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Andreas Sassermann <andreas@sassermann.de>, 458350@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [debian-mysql] Bug#458350: /usr/sbin/mysqld: mysql connection crashes using select distinct or select ... group by
Date: Sun, 30 Dec 2007 17:20:42 +0100
severity 458350 important
thanks

Am Sonntag, den 30.12.2007, 16:35 +0100 schrieb Andreas Sassermann:
> mysql> select distinct db, user from db;
> ERROR 2013 (HY000): Lost connection to MySQL server during query

It doesn't happen on amd64 and i386, I don't have an arm machine here to
reproduce this problem.

This bug might be fixed in 5.0.51-1 already, unfortunately the testsuite
failed on arm, so there's no package of 5.0.51-1 available for that arch
yet. 

	Norbert





Severity set to `important' from `grave' Request was from Norbert Tretkowski <norbert@tretkowski.de> to control@bugs.debian.org. (Sun, 30 Dec 2007 16:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to David Fokkema <dfokkema@ileos.nl>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 458350@bugs.debian.org (full text, mbox):

From: David Fokkema <dfokkema@ileos.nl>
To: 458350@bugs.debian.org
Subject: Another crash case
Date: Fri, 11 Jan 2008 09:39:08 +0100
Another way to kill the server:

mysql> select User,Host from mysql.user group by User;
ERROR 2013 (HY000): Lost connection to MySQL server during query

caused by a signal 11.

Interestingly, group by Host doesn't trigger a segfault.

I think this bug's severity maybe should be grave or critical, since
many software packages use the group by statement. All my web
applications are unusable with this mysql version on arm. As far as I
know, there is no workaround.

I'm interested in what will happen now. Could a simple rebuild of etch3
solve the problem? If not, what will happen then? Do we simply wait for
a new version for etch? Could I try to download the source package, try
to sort out the differences between etch1 and etch3 and remove the
patches one by one, cross compile, test, and figure out what patch
caused it? Or is that a bit too simple?

Thanks!





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 458350@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: David Fokkema <dfokkema@ileos.nl>, 458350@bugs.debian.org
Subject: Re: [debian-mysql] Bug#458350: Another crash case
Date: Fri, 11 Jan 2008 10:17:41 +0100
Am Freitag, den 11.01.2008, 09:39 +0100 schrieb David Fokkema:
> Could I try to download the source package, try to sort out the
> differences between etch1 and etch3 and remove the patches one by one,
> cross compile, test, and figure out what patch caused it?

It works fine with 5.0.32-7etch1? If so, you could indeed try to disable
the patches one by one which are new in 5.0.32-7etch3 to find out which
one is responsible for the crash.

Of course I'm interested in the result.

	Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Sven Janzon <SJanzon@web.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 458350@bugs.debian.org (full text, mbox):

From: Sven Janzon <SJanzon@web.de>
To: 458350@bugs.debian.org
Subject: Bug maybe caused by bugfix for Bug 403721
Date: Thu, 24 Jan 2008 01:09:03 +0100
In my case the crash occurs nearly allways when I execute a "group by" or a "select distinct" query.

Maybe this bug is caused by the bugfix for bug #403721.

You can find the following statement by Christian Hammers in the changelog:

mysql-dfsg-5.0 (5.0.32-5) unstable; urgency=medium

  * Backported upstream patch for a bug that crashed the server when using
    certain join/group/limit combinations.
    Users of the Joomla CMS seemed to be affected by this. Closes: #403721

But  thats just a guess...


    -Sven-

_________________________________________________________________________
In 5 Schritten zur eigenen Homepage. Jetzt Domain sichern und gestalten! 
Nur 3,99 EUR/Monat! http://www.maildomain.web.de/?mc=021114





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Vincent <nomorsad.poubelle@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 458350@bugs.debian.org (full text, mbox):

From: Vincent <nomorsad.poubelle@gmail.com>
To: Debian Bug Tracking System <458350@bugs.debian.org>
Subject: crash since mysql-server-5.0_5.0.32-1
Date: Thu, 31 Jan 2008 22:36:03 +0100
Package: mysql-server-5.0
Followup-For: Bug #458350


I have same problem on my nslu2.
I tested different version of mysql-server-5.0 package :
 * =mysql-server-5.0_5.0.30-1_arm.deb OK!
 * >=mysql-server-5.0_5.0.32-1_arm.deb CRASH

I don't know how to cross compile, so I'm not able to test 5.0.30-2 or 5.0.30-3 for now.
I'm not a C developper too...

Hope this help.
Vincent

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (650, 'testing')
Architecture: arm (armv5tel)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-ixp4xx
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages mysql-server-5.0 depends on:
ii  adduser                3.102             Add and remove users and groups
ii  debconf [debconf-2.0]  1.5.11etch1       Debian configuration management sy
ii  libc6                  2.3.6.ds1-13etch4 GNU C Library: Shared libraries
ii  libdbi-perl            1.53-1etch1       Perl5 database interface by Tim Bu
ii  libgcc1                1:4.1.1-21        GCC support library
ii  libmysqlclient15off    5.0.32-7etch5     mysql database client library
ii  libncurses5            5.5-5             Shared libraries for terminal hand
ii  libreadline5           5.2-2             GNU readline and history libraries
ii  libstdc++6             4.1.1-21          The GNU Standard C++ Library v3
ii  libwrap0               7.6.dbs-13        Wietse Venema's TCP wrappers libra
ii  lsb-base               3.1-23.2etch1     Linux Standard Base 3.1 init scrip
ii  mysql-client-5.0       5.0.32-7etch5     mysql database client binaries
ii  mysql-common           5.0.32-7etch5     mysql database common files (e.g. 
ii  passwd                 1:4.0.18.1-7      change and administer password and
ii  perl                   5.8.8-7etch1      Larry Wall's Practical Extraction 
ii  psmisc                 22.3-1            Utilities that use the proc filesy
ii  zlib1g                 1:1.2.3-13        compression library - runtime

Versions of packages mysql-server-5.0 recommends:
ii  mailx            1:8.1.2-0.20050715cvs-1 A simple mail user agent

-- debconf information:
  mysql-server-5.0/really_downgrade: false
  mysql-server-5.0/need_sarge_compat: false
  mysql-server-5.0/start_on_boot: true
  mysql-server/error_setting_password:
  mysql-server-5.0/nis_warning:
  mysql-server-5.0/postrm_remove_databases: false
  mysql-server-5.0/need_sarge_compat_done: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #37 received at 458350@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Vincent <nomorsad.poubelle@gmail.com>, 458350@bugs.debian.org
Subject: Re: Bug#458350: crash since mysql-server-5.0_5.0.32-1
Date: Fri, 01 Feb 2008 09:07:21 +0100
Am Donnerstag, den 31.01.2008, 22:36 +0100 schrieb Vincent:
> I have same problem on my nslu2.
> I tested different version of mysql-server-5.0 package :
>  * =mysql-server-5.0_5.0.30-1_arm.deb OK!
>  * >=mysql-server-5.0_5.0.32-1_arm.deb CRASH
> 
> I don't know how to cross compile, so I'm not able to test 5.0.30-2 or
> 5.0.30-3 for now.

Do you have a chance to update to 5.0.45-3~bpo40+1 from backports.org or
5.0.51-3 from unstable?

It would be good to know if this is still an issue, or if it was fixed
already.

	Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to "poubelle adresse" <nomorsad.poubelle@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #42 received at 458350@bugs.debian.org (full text, mbox):

From: "poubelle adresse" <nomorsad.poubelle@gmail.com>
To: "Norbert Tretkowski" <norbert@tretkowski.de>
Cc: 458350@bugs.debian.org
Subject: Re: Bug#458350: crash since mysql-server-5.0_5.0.32-1
Date: Sat, 2 Feb 2008 15:14:25 +0100
On Feb 1, 2008 9:07 AM, Norbert Tretkowski <norbert@tretkowski.de> wrote:
>
> Do you have a chance to update to 5.0.45-3~bpo40+1 from backports.org or
> 5.0.51-3 from unstable?
>

There is no backport for mysql-server-5.0 on arm arch :-(
I try to use pinning with testing, but it break my system (apt want to
remove util-linux !!??)

  Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#458350; Package mysql-server-5.0. Full text and rfc822 format available.

Acknowledgement sent to Andreas Sassermann <andreas@sassermann.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 458350@bugs.debian.org (full text, mbox):

From: Andreas Sassermann <andreas@sassermann.de>
To: 458350@bugs.debian.org
Subject: Re: Bug#458350: Acknowledgement (/usr/sbin/mysqld: mysql connection crashes using select distinct or select ... group by)
Date: Sat, 15 Mar 2008 15:57:53 +0100
Finally I got the current MySQL Community Server Version 5.0.51a 
compiled on my nslu2.
This version does not show the bug.  Unfortuantely I could not figure 
out how to build packages
according to debian policies but I think this shows an update to a more 
current version should
fix the problem.

   Andreas




Reply sent to Norbert Tretkowski <norbert@tretkowski.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Sassermann <andreas@sassermann.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 458350-done@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Andreas Sassermann <andreas@sassermann.de>, 458350-done@bugs.debian.org
Subject: Re: [debian-mysql] Bug#458350: Acknowledgement (/usr/sbin/mysqld: mysql connection crashes using select distinct or select ... group by)
Date: Mon, 17 Mar 2008 21:36:22 +0100
Version: 5.0.51-1

Am Samstag, den 15.03.2008, 15:57 +0100 schrieb Andreas Sassermann:
> Finally I got the current MySQL Community Server Version 5.0.51a 
> compiled on my nslu2. This version does not show the bug.

Thanks for this information.

> Unfortuantely I could not figure out how to build packages according
> to debian policies but I think this shows an update to a more current
> version should fix the problem.

Meanwhile 5.0.51-3 is available on backports.org for arm, and has
patches for all known security issues.

	Norbert





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Apr 2008 07:37:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:18:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.